# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sfba_transit/version'

Gem::Specification.new do |spec|
  spec.name = 'sfba_transit'
  spec.version = SfbaTransit::VERSION
  spec.authors = ['Paul Coldren']
  spec.email = ['paulmco@gmail.com']

  spec.summary = 'San Francisco Bay Area Transit Card API'
  spec.description = 'Fetch information about transit card ("clipper") status, balance, and transactions.'
  spec.homepage = 'https://github.com/pcoldren/sfba_transit'

  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir = 'bin'
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency('bundler', '~> 1.11')
  spec.add_development_dependency('rspec', '~> 3.0')
  spec.add_development_dependency('simplecov', '~> 0.11')
  spec.add_development_dependency('rubocop', '~> 0.39')
  spec.add_development_dependency('codeclimate-test-reporter', '~> 0.5')
  spec.add_development_dependency('semver2', '~> 3.4')
end
